using FastEndpoints;
using FluentValidation;
using Knots.DTO.User;

namespace Knots.Validators.User;

public class UpdateUserDescriptionDtoValidator : Validator<UpdateUserDescriptionDto>
{
    public UpdateUserDescriptionDtoValidator()
    {
        RuleFor(x => x.Description)
            .MaximumLength(200)
            .WithMessage("La description ne doit pas dépasser les 200 caractères");
    }
}